/*******************************************************************************
 * SpotLightMovable generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SpotLightMovable extends SpotLight
    native(Light)
    placeable
    hidecategories(Navigation)
    classgroup(Lights,SpotLights);

defaultproperties
{
    begin object name=SpotLightComponent0 class=SpotLightComponent
        CastDynamicShadows=true
        UseDirectLightMap=false
        LightingChannels=(Dynamic=true)
        LightAffectsClassification=ELightAffectsClassification.LAC_DYNAMIC_AND_STATIC_AFFECTING
    object end
    // Reference: SpotLightComponent'Default__SpotLightMovable.SpotLightComponent0'
    LightComponent=SpotLightComponent0
    Components(0)=none
    Components(1)=none
    Components(2)=none
    Components(3)=none
    Components(4)=none
    begin object name=SpotLightComponent0 class=SpotLightComponent
        CastDynamicShadows=true
        UseDirectLightMap=false
        LightingChannels=(Dynamic=true)
        LightAffectsClassification=ELightAffectsClassification.LAC_DYNAMIC_AND_STATIC_AFFECTING
    object end
    // Reference: SpotLightComponent'Default__SpotLightMovable.SpotLightComponent0'
    Components(5)=SpotLightComponent0
    Components(6)=none
    TickGroup=ETickingGroup.TG_DuringAsyncWork
    bStatic=false
    bHardAttach=true
    bMovable=true
}